Bug 1419502 - capsule-remove should cleanup /var/tmp/foreman-proxy/ as well
Summary: capsule-remove should cleanup /var/tmp/foreman-proxy/ as well
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Peter Ondrejka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 11:16 UTC by Jan Hutař
Modified: 2019-09-26 16:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21662 None None None 2017-11-14 20:28:21 UTC

Description Jan Hutař 2017-02-06 11:16:35 UTC
Description of problem:
capsule-remove should cleanup /var/tmp/foreman-proxy/ as well


Version-Release number of selected component (if applicable):
Capsule 6.2.6


How reproducible:
1 of 1


Steps to Reproduce:
1. Install capsule with remote execution plugin
   (--enable-foreman-proxy-plugin-remote-execution-ssh)
2. Execute some ReX through it so e.g. this is created:
   /var/tmp/foreman-proxy/foreman-ssh-cmd-6e63ed6f-9b33-41d7-a2d6-2f6a821bc945/
3. Remove the capsule with capsule-remove


Actual results:
/var/tmp/foreman-proxy/ is left on the system


Expected results:
/var/tmp/foreman-proxy/ should be cleaned

Comment 3 pm-sat@redhat.com 2017-11-15 23:24:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21662 has been resolved.

Comment 4 Peter Ondrejka 2017-12-12 14:27:57 UTC
Verified on Sat 6.3 snap 28, katello-remove on capsule now deletes /var/tmp/foreman-proxy as expected

Comment 5 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.